index ach_config
curl --request GET \
--url https://api.treasuryprime.com/ach_config \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/ach_config"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/ach_config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.treasuryprime.com/ach_config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.treasuryprime.com/ach_config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.treasuryprime.com/ach_config")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.treasuryprime.com/ach_config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_id": "acct_291u96075mva",
"daily_credit_limit": "25000.00",
"daily_debit_limit": "25000.00",
"id": "achconf_3k9p2wd6rn4x",
"inach_return_codes_business": [
"R29"
],
"inach_return_codes_consumer": [
"R10",
"R11"
],
"lock_blocks_credit": true,
"locked_credit_return_code": "R16",
"return_allowed_days": "2",
"sameday_max_amount": "1000000.00",
"sec_codes_allowed": [
"CCD",
"PPD",
"WEB"
],
"total_credit_limit": "100000.00",
"total_debit_limit": "100000.00",
"transaction_credit_limit": "10000.00",
"transaction_debit_limit": "10000.00"
}
]
}ACH Config
List ACH Configurations
GET
/
ach_config
index ach_config
curl --request GET \
--url https://api.treasuryprime.com/ach_config \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/ach_config"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/ach_config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.treasuryprime.com/ach_config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.treasuryprime.com/ach_config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.treasuryprime.com/ach_config")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.treasuryprime.com/ach_config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_id": "acct_291u96075mva",
"daily_credit_limit": "25000.00",
"daily_debit_limit": "25000.00",
"id": "achconf_3k9p2wd6rn4x",
"inach_return_codes_business": [
"R29"
],
"inach_return_codes_consumer": [
"R10",
"R11"
],
"lock_blocks_credit": true,
"locked_credit_return_code": "R16",
"return_allowed_days": "2",
"sameday_max_amount": "1000000.00",
"sec_codes_allowed": [
"CCD",
"PPD",
"WEB"
],
"total_credit_limit": "100000.00",
"total_debit_limit": "100000.00",
"transaction_credit_limit": "10000.00",
"transaction_debit_limit": "10000.00"
}
]
}Authorizations
basicAuthapiKey
Query Parameters
Was this page helpful?